### Method

# Rsvg Handleset_stylesheet

#### Declaration [src]

    gboolean
    rsvg_handle_set_stylesheet (
      RsvgHandle* handle,
      const guint8* css,
      gsize css_len,
      GError** error
    )

#### Description [src]

Sets a CSS stylesheet to use for an SVG document.

The `css_len` argument is mandatory; this function will not compute the length of the `css` string. This is because a provided stylesheet, which the calling program could read from a file, can have nul characters in it.

During the CSS cascade, the specified stylesheet will be used with a “User” origin.

Note that `import` rules will not be resolved, except for `data:` URLs.

Available since: | 2.48

#### Parameters

`css` | An array of `guint8`
| String with CSS data; must be valid UTF-8.
| The length of the array is specified in the `css_len` argument.
| The data is owned by the caller of the function.
`css_len` | `gsize`
| Length of the `css` data in bytes.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success, `FALSE` on error. Errors are returned in the `error` argument.